# depot.cpp File Reference

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "depot.h"`
`#include "landscape.h"`
`#include "saveload.h"`
`#include "order.h"`
`#include "window_func.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions

Depot * | GetDepotByTile (TileIndex tile)
| Gets a depot from a tile.
void | InitializeDepots ()
static void | Save_DEPT ()
static void | Load_DEPT ()

## Variables

static const SaveLoad | _depot_desc []
const ChunkHandler | _depot_chunk_handlers []

## Detailed Description

Definition in file depot.cpp.

## Function Documentation

Depot* GetDepotByTile | ( | TileIndex | tile | ) |

Gets a depot from a tile.

Returns:
  Returns the depot if the tile had a depot, else it returns NULL

Definition at line 22 of file depot.cpp.

Referenced by CmdSendTrainToDepot(), and YapfFindNearestRoadDepot().

## Variable Documentation

const ChunkHandler _depot_chunk_handlers[]

Initial value:

     {
      { 'DEPT', Save_DEPT, Load_DEPT, CH_ARRAY | CH_LAST},
    }

const SaveLoad _depot_desc[]`[static]`

Initial value:

     {
      SLE_CONDVAR(Depot, xy,         SLE_FILE_U16 | SLE_VAR_U32, 0, 5),
      SLE_CONDVAR(Depot, xy,         SLE_UINT32,                 6, SL_MAX_VERSION),
          SLE_VAR(Depot, town_index, SLE_UINT16),

    }

Definition at line 55 of file depot.cpp.